#ifndef _IMAGESCALER_H_
#define _IMAGESCALER_H_

#include <QFrame>

class QSpinBox;
class QLabel;
class QAction;
class QCheckBox;

class ImageScaler : public QFrame
{
  Q_OBJECT

public:
  ImageScaler(QWidget *parent = 0);

  int getMaxHeight() const;
  int getMaxWidth() const;
  int getWidth() const;
  int getHeight() const;

public slots:
  void setMaxWidth(int newValue);
  void setMaxHeight(int newValue);

  //! Locks apsect ratio with true/false.
  void setLockAspectRatio(bool state);
  //! Locks aspect ratio with parameter Qt::Checked or Qt::Unchecked.
  void setLockAspectRatio(int state);


  void setWidth(int newValue);
  void setHeight(int newValue);

signals:
  void maxWidthChanged(int newWidth);
  void maxHeightChanged(int newHeight);
  void widthChanged(int newWidth);
  void heightChanged(int newHeight);

private:
  QSpinBox *widthBox;
  QSpinBox *heightBox;
  QLabel *widthLabel;
  QLabel *heightLabel;
  QAction *lockAspectAction;
  QCheckBox *lockButton;

  bool lockAspectRatio;
  float aspectRatio;
  int maxWidth;
  int minWidth;
  int curWidth;
  int maxHeight;
  int minHeight;
  int curHeight;

};

#endif
