#ifndef _MUSSA_SETUP_WIDGET_H_
#define _MUSSA_SETUP_WIDGET_H_

#include <QWidget>
#include <QLineEdit>
#include <QSpinBox>
#include <QPushButton>

class SequenceSetupFrame;

#include "alg/mussa.hpp"

class MussaSetupWidget : public QWidget
{
  Q_OBJECT

public:
  MussaSetupWidget(QWidget *parent = 0);
  //  MussaSetupWidget(const MussaSetupWidget&);

  MussaRef getMussaObject();

signals:
  void createButtonPushed();
  void cancelButtonPushed();

private slots:
  void mussaCreatePushed();
  void mussaCancelPushed();
  void updateThreshold(int);

private:
  QLineEdit *analysisNameLineEdit;
  QSpinBox *windowEdit;
  QSpinBox *thresholdEdit;
  QSpinBox *numOfSequencesSpinBox;
  QPushButton *createPushButton;
  QPushButton *cancelPushButton;

  SequenceSetupFrame *seqSetupFrame;
};

#endif
