#ifndef _SEQUENCE_SETUP_WIDGET_H_
#define _SEQUENCE_SETUP_WIDGET_H_

#include <QWidget>
#include <QString>
#include <QLineEdit>

class SequenceSetupFrame;

class SequenceSetupWidget : public QWidget
{
  Q_OBJECT

public:
  SequenceSetupWidget(SequenceSetupFrame *setupFrame_, QWidget *parent=0);

  QString getName() const { return sequenceNameEdit->text(); }
  QString getSeqFile() const { return sequenceLineEdit->text(); }
  QString getAnnotFile() const { return annotLineEdit->text(); }
  int getFastaIndex() const;
  int getStart() const { return seqStartLineEdit->text().toInt(); }
  int getEnd() const { return seqStopLineEdit->text().toInt(); }
  

public slots:
  void promptForFastaFile();
  void promptForAnnotFile();

signals:

protected:
  QLineEdit *sequenceNameEdit;
  QLineEdit *sequenceLineEdit;
  QLineEdit *annotLineEdit;
  QLineEdit *fastaIndexLineEdit;
  QLineEdit *seqStartLineEdit;
  QLineEdit *seqStopLineEdit;
  SequenceSetupFrame *setupFrame;
};

#endif
